--/ Example 15

--/ Using the UNION operator to join two query results together

SELECT 'Pubs Employee', emp_id AS employee_ID, lname AS last_name, fname AS first_name, pj.job_desc AS Title
FROM pubs..employee pe JOIN pubs..jobs pj ON pe.job_id = pj.job_id

UNION

SELECT 'Northwinds Employee', CAST(EmployeeID AS VARCHAR(10)) AS emp_id, LastName AS last_name, firstname, title
FROM northwind..employees

--/ We can treat this UNION as one data source using an alias and then use WHERE commands on the source
--/ to produce a subset

SELECT * FROM
(
SELECT 'Pubs Employee' AS Company, emp_id AS employee_ID, lname AS last_name, fname AS first_name, pj.job_desc AS Title
FROM pubs..employee pe JOIN pubs..jobs pj ON pe.job_id = pj.job_id

UNION

SELECT 'Northwinds Employee', CAST(EmployeeID AS VARCHAR(10)) AS emp_id, LastName AS last_name, firstname, title
FROM northwind..employees
) tblAllCompanies

WHERE tblAllCompanies.Title LIKE '%Sales%'
ORDER BY Title


